group "StockLoan.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
lossOfStockBorrow?, maximumStockLoanRate?, increasedCostOfStockBorrow?, initialStockLoanRate?

Content Model Elements (4):

  increasedCostOfStockBorrow, initialStockLoanRate, lossOfStockBorrow, maximumStockLoanRate

Known Usage Locations

- In definitions of global complexTypes (2):
  AdditionalDisruptionEvents, UnderlyerLoanRate

Annotation
Stock Loan Content Model
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="StockLoan.model"> <xsd:sequence> <xsd:element minOccurs="0" name="lossOfStockBorrow" type="xsd:boolean"/> <xsd:element minOccurs="0" name="maximumStockLoanRate" type="RestrictedPercentage"/> <xsd:element minOccurs="0" name="increasedCostOfStockBorrow" type="xsd:boolean"/> <xsd:element minOccurs="0" name="initialStockLoanRate" type="RestrictedPercentage"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
increasedCostOfStockBorrow

  Type: | xsd:boolean, predefined, simple content

  If true, then increased cost of stock borrow is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="increasedCostOfStockBorrow" type="xsd:boolean"/>

initialStockLoanRate

  Type: | RestrictedPercentage, simple content

  Specifies the initial stock loan rate for Increased Cost of Stock Borrow.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="initialStockLoanRate" type="RestrictedPercentage"/>

lossOfStockBorrow

  Type: | xsd:boolean, predefined, simple content

  If true, then loss of stock borrow is applicable.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="lossOfStockBorrow" type="xsd:boolean"/>

maximumStockLoanRate

  Type: | RestrictedPercentage, simple content

  Specifies the maximum stock loan rate for Loss of Stock Borrow.
  Simple Content

  xsd:decimal

  maxInclusive: | 1
  minInclusive: | 0

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="maximumStockLoanRate" type="RestrictedPercentage"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.